Google Web Toolkit
Search Google Code:

# Class HTMLTable.ColumnFormatter

public class HTMLTable.ColumnFormatter
extends Object
This class contains methods used to format a table's columns. It is limited by the support cross-browser HTML support for column formatting.

## Fields

columnGroup |

## Methods

addStyleName(int, String) | Adds a style to the specified column.
getStyleName(int) | Gets the style of the specified column.
getStylePrimaryName(int) | Gets the primary style of the specified column.
removeStyleName(int, String) | Removes a style from the specified column.
setStyleName(int, String) | Sets the style name associated with the specified column.
setStylePrimaryName(int, String) | Sets the primary style name associated with the specified column.
setWidth(int, String) | Sets the width of the specified column.

## Field Detail

### columnGroup

protected Element columnGroup

## Method Detail

### addStyleName

public void addStyleName(int col, String styleName)
Adds a style to the specified column.

#### Parameters

col
  the col to which the style will be added
styleName
  the style name to be added

#### See Also

UIObject.addStyleName(String)

### getStyleName

public String getStyleName(int column)
Gets the style of the specified column.

#### Parameters

column
  the column to be queried

#### Return Value

the style name

#### See Also

UIObject.getStyleName()

### getStylePrimaryName

public String getStylePrimaryName(int column)
Gets the primary style of the specified column.

#### Parameters

column
  the column to be queried

#### Return Value

the style name

#### See Also

UIObject.getStylePrimaryName()

### removeStyleName

public void removeStyleName(int column, String styleName)
Removes a style from the specified column.

#### Parameters

column
  the column from which the style will be removed
styleName
  the style name to be removed

#### See Also

UIObject.removeStyleName(String)

### setStyleName

public void setStyleName(int column, String styleName)
Sets the style name associated with the specified column.

#### Parameters

column
  the column whose style name is to be set
styleName
  the new style name

#### See Also

UIObject.setStyleName(String)

### setStylePrimaryName

public void setStylePrimaryName(int column, String styleName)
Sets the primary style name associated with the specified column.

#### Parameters

column
  the column whose style name is to be set
styleName
  the new style name

#### See Also

UIObject.setStylePrimaryName(String)

### setWidth

public void setWidth(int column, String width)
Sets the width of the specified column.

#### Parameters

column
  the column of the cell whose width is to be set
width
  the cell's new width, in percentage or pixel units